## r-cran-renv 1.0.2

=== DESCRIPTION ===
Package: renv
Type: Package
Title: Project Environments
Version: 1.0.2
Authors@R: c(
    person("Kevin", "Ushey", role = c("aut", "cre"), email = "kevin@rstudio.com",
           comment = c(ORCID = "0000-0003-2880-7407")),
    person("Hadley", "Wickham", role = c("aut"), email = "hadley@rstudio.com",
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
    )
Description: A dependency management toolkit for R. Using 'renv', you can create
    and manage project-local R libraries, save the state of these libraries to
    a 'lockfile', and later restore your library as required. Together, these
    tools can help make your projects more isolated, portable, and reproducible.
License: MIT + file LICENSE
URL: https://rstudio.github.io/renv/, https://github.com/rstudio/renv
BugReports: https://github.com/rstudio/renv/issues
Imports: utils
Suggests: BiocManager, cli, covr, cpp11, devtools, gitcreds, jsonlite,
        knitr, miniUI, packrat, pak, R6, remotes, reticulate,
        rmarkdown, rstudioapi, shiny, testthat, uuid, waldo, yaml,
        webfakes
Encoding: UTF-8
RoxygenNote: 7.2.3
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first:
        bioconductor,python,install,restore,snapshot,retrieve,remotes
NeedsCompilation: no
Packaged: 2023-08-14 23:03:34 UTC; kevin
Author: Kevin Ushey [aut, cre] (<https://orcid.org/0000-0003-2880-7407>),
  Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  Posit Software, PBC [cph, fnd]
Maintainer: Kevin Ushey <kevin@rstudio.com>
Repository: CRAN
Date/Publication: 2023-08-15 07:40:02 UTC

=== debian/changelog ===
r-cran-renv (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * Test needs-internet, Test-Depends: git
  * Skip some failing tests

 -- Andreas Tille <tille@debian.org>  Tue, 15 Aug 2023 21:11:16 +0200

r-cran-renv (1.0.0-1) unstable; urgency=medium

  * Initial release (closes: #1041673)

 -- Andreas Tille <tille@debian.org>  Sun, 23 Jul 2023 07:13:00 +0200

## r-cran-renv 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: renv
 Type: Package
 Title: Project Environments
-Version: 1.0.2
+Version: 1.0.3
 Authors@R: c(
     person("Kevin", "Ushey", role = c("aut", "cre"), email = "kevin@rstudio.com",
            comment = c(ORCID = "0000-0003-2880-7407")),
@@ -30,10 +30,10 @@
 Config/testthat/start-first:
         bioconductor,python,install,restore,snapshot,retrieve,remotes
 NeedsCompilation: no
-Packaged: 2023-08-14 23:03:34 UTC; kevin
+Packaged: 2023-09-18 18:18:27 UTC; kevin
 Author: Kevin Ushey [aut, cre] (<https://orcid.org/0000-0003-2880-7407>),
   Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
   Posit Software, PBC [cph, fnd]
 Maintainer: Kevin Ushey <kevin@rstudio.com>
 Repository: CRAN
-Date/Publication: 2023-08-15 07:40:02 UTC
+Date/Publication: 2023-09-19 08:10:02 UTC

=== tests/testthat/packages/packrat/DESCRIPTION ===
Package: packrat
Type: Package
Version: 0.9.1
Repository: CRAN
License: GPL
Description: renv test package
Title: renv test package
Author: Anonymous Person <Anonymous@rstudio.org>
Maintainer: Anonymous Person <Anonymous@rstudio.org>

=== debian/changelog ===
r-cran-renv (1.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2023 13:46:07 +0200

=== debian/control ===
Source: r-cran-renv
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-renv
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-renv.git
Homepage: https://cran.r-project.org/package=renv
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-renv
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R project environments
 A dependency management toolkit for R. Using 'renv', you can create
 and manage project-local R libraries, save the state of these libraries to
 a 'lockfile', and later restore your library as required. Together, these
 tools can help make your projects more isolated, portable, and reproducible.

## r-cran-renv 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: renv
 Type: Package
 Title: Project Environments
-Version: 1.0.3
+Version: 1.0.7
 Authors@R: c(
     person("Kevin", "Ushey", role = c("aut", "cre"), email = "kevin@rstudio.com",
            comment = c(ORCID = "0000-0003-2880-7407")),
@@ -22,7 +22,7 @@
         rmarkdown, rstudioapi, shiny, testthat, uuid, waldo, yaml,
         webfakes
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 VignetteBuilder: knitr
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
@@ -30,10 +30,10 @@
 Config/testthat/start-first:
         bioconductor,python,install,restore,snapshot,retrieve,remotes
 NeedsCompilation: no
-Packaged: 2023-09-18 18:18:27 UTC; kevin
+Packaged: 2024-04-11 16:26:24 UTC; kevin
 Author: Kevin Ushey [aut, cre] (<https://orcid.org/0000-0003-2880-7407>),
   Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
   Posit Software, PBC [cph, fnd]
 Maintainer: Kevin Ushey <kevin@rstudio.com>
 Repository: CRAN
-Date/Publication: 2023-09-19 08:10:02 UTC
+Date/Publication: 2024-04-11 22:20:02 UTC

=== debian/changelog ===
r-cran-renv (1.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Jun 2024 15:51:10 +0900

## r-cran-renv 1.0.10

=== debian/changelog ===
r-cran-renv (1.0.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 11 Oct 2024 08:49:55 +0900

r-cran-renv (1.0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 30 Sep 2024 11:31:52 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-renv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-renv.git
 Homepage: https://cran.r-project.org/package=renv
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-renv 1.1.0

=== debian/changelog ===
r-cran-renv (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Make the package architecture-dependant (I should have done so for version
    1.0.11-1 already)

 -- Charles Plessy <plessy@debian.org>  Tue, 04 Feb 2025 08:51:41 +0900

r-cran-renv (1.0.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 24 Jan 2025 11:30:26 +0900

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-renv
-Architecture: all
+Architecture: any
 Depends: ${R:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}

## r-cran-renv 1.1.1

=== debian/changelog ===
r-cran-renv (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Added patch to mark this package as needing compilation.
  * d/control: add ${shlibs:Depends} to pick up the missing dependency on libc

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 14 Feb 2025 10:31:39 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
 Package: r-cran-renv
 Architecture: any
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R project environments

## r-cran-renv 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: renv
 Type: Package
 Title: Project Environments
-Version: 1.0.7
+Version: 1.1.2
 Authors@R: c(
     person("Kevin", "Ushey", role = c("aut", "cre"), email = "kevin@rstudio.com",
            comment = c(ORCID = "0000-0003-2880-7407")),
@@ -17,12 +17,12 @@
 URL: https://rstudio.github.io/renv/, https://github.com/rstudio/renv
 BugReports: https://github.com/rstudio/renv/issues
 Imports: utils
-Suggests: BiocManager, cli, covr, cpp11, devtools, gitcreds, jsonlite,
-        knitr, miniUI, packrat, pak, R6, remotes, reticulate,
-        rmarkdown, rstudioapi, shiny, testthat, uuid, waldo, yaml,
-        webfakes
+Suggests: BiocManager, cli, compiler, covr, cpp11, devtools, gitcreds,
+        jsonlite, jsonvalidate, knitr, miniUI, modules, packrat, pak,
+        R6, remotes, reticulate, rmarkdown, rstudioapi, shiny,
+        testthat, uuid, waldo, yaml, webfakes
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 VignetteBuilder: knitr
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
@@ -30,10 +30,10 @@
 Config/testthat/start-first:
         bioconductor,python,install,restore,snapshot,retrieve,remotes
 NeedsCompilation: no
-Packaged: 2024-04-11 16:26:24 UTC; kevin
+Packaged: 2025-03-02 23:50:06 UTC; kevin
 Author: Kevin Ushey [aut, cre] (<https://orcid.org/0000-0003-2880-7407>),
   Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
   Posit Software, PBC [cph, fnd]
 Maintainer: Kevin Ushey <kevin@rstudio.com>
 Repository: CRAN
-Date/Publication: 2024-04-11 22:20:02 UTC
+Date/Publication: 2025-03-03 00:30:02 UTC

=== tests/testthat/packages/breakfast/DESCRIPTION ===
Package: breakfast
Type: Package
Version: 1.0.0
Depends: oatmeal, toast (>= 1.0.0)
Suggests: egg
Repository: CRAN
License: GPL
Description: renv test package
Title: renv test package
Author: Anonymous Person <Anonymous@rstudio.org>
Maintainer: Anonymous Person <Anonymous@rstudio.org>
Config/Needs/protein: egg

=== tests/testthat/packages/egg/DESCRIPTION ===
Package: egg
Type: Package
Version: 1.0.0
Repository: CRAN
License: GPL
Description: renv test package
Title: renv test package
Author: Anonymous Person <Anonymous@rstudio.org>
Maintainer: Anonymous Person <Anonymous@rstudio.org>

=== tests/testthat/packages/packrat/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: packrat
 Type: Package
-Version: 0.9.1
+Version: 0.0.0
 Repository: CRAN
 License: GPL
 Description: renv test package

=== tests/testthat/packages/unixonly/DESCRIPTION ===
Package: unixonly
Type: Package
Version: 1.0.0
Repository: CRAN
License: GPL
Description: renv test package
Title: renv test package
Author: Anonymous Person <Anonymous@rstudio.org>
Maintainer: Anonymous Person <Anonymous@rstudio.org>
OS_type: unix

=== debian/changelog ===
r-cran-renv (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Mar 2025 10:32:23 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-renv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-renv.git
 Homepage: https://cran.r-project.org/package=renv
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-biocmanager,
        r-cran-cli,
        r-cran-covr,
        r-cran-cpp11,
        r-cran-devtools,
        r-cran-gitcreds,
        r-cran-jsonlite,
        r-cran-knitr,
        r-cran-miniui,
        r-cran-packrat,
        r-cran-r6,
        r-cran-remotes,
        r-cran-reticulate,
        r-cran-rmarkdown,
        r-cran-rstudioapi,
        r-cran-shiny,
        r-cran-testthat,
        r-cran-uuid,
        r-cran-waldo,
        r-cran-yaml,
        r-cran-webfakes,
        git
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/renv_([-\d.]*)\.tar\.gz

## r-cran-renv 1.1.7

=== DESCRIPTION ===
Package: renv
Type: Package
Title: Project Environments
Version: 1.1.7
Authors@R: c(
    person("Kevin", "Ushey", role = c("aut", "cre"), email = "kevin@rstudio.com",
           comment = c(ORCID = "0000-0003-2880-7407")),
    person("Hadley", "Wickham", role = c("aut"), email = "hadley@rstudio.com",
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
    )
Description: A dependency management toolkit for R. Using 'renv', you can create
    and manage project-local R libraries, save the state of these libraries to
    a 'lockfile', and later restore your library as required. Together, these
    tools can help make your projects more isolated, portable, and reproducible.
License: MIT + file LICENSE
URL: https://rstudio.github.io/renv/, https://github.com/rstudio/renv
BugReports: https://github.com/rstudio/renv/issues
Imports: utils
Suggests: BiocManager, cli, compiler, covr, cpp11, curl, devtools,
        generics, gitcreds, jsonlite, jsonvalidate, knitr, miniUI,
        modules, packrat, pak, R6, remotes, reticulate, rmarkdown,
        rstudioapi, shiny, testthat, uuid, waldo, yaml, webfakes
Encoding: UTF-8
RoxygenNote: 7.3.3
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first:
        bioconductor,python,install,restore,snapshot,retrieve,remotes
NeedsCompilation: no
Packaged: 2026-01-26 18:33:40 UTC; kevin
Author: Kevin Ushey [aut, cre] (ORCID: <https://orcid.org/0000-0003-2880-7407>),
  Hadley Wickham [aut] (ORCID: <https://orcid.org/0000-0003-4757-117X>),
  Posit Software, PBC [cph, fnd]
Maintainer: Kevin Ushey <kevin@rstudio.com>
Repository: CRAN
Date/Publication: 2026-01-27 11:50:02 UTC

=== debian/changelog ===
r-cran-renv (1.1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Refresh patches
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Feb 2026 13:47:52 +0900

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: r-cran-renv
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-renv
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-renv.git
 Homepage: https://cran.r-project.org/package=renv
-Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-renv
 Architecture: any
 Depends: ${R:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R project environments

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-biocmanager,
         r-cran-cli,
         r-cran-covr,
         r-cran-cpp11,
         r-cran-curl,
         r-cran-devtools,
         r-cran-generics,
         r-cran-gitcreds,
         r-cran-jsonlite,
         r-cran-knitr,
         r-cran-miniui,
         r-cran-packrat,
         r-cran-r6,
         r-cran-remotes,
         r-cran-reticulate,
         r-cran-rmarkdown,
         r-cran-rstudioapi,
         r-cran-shiny,
         r-cran-testthat,
         r-cran-uuid,
         r-cran-waldo,
         r-cran-yaml,
         r-cran-webfakes,
         git
Restrictions: allow-stderr, needs-internet
